﻿google.charts.load('current', {'packages':['corechart']});
google.charts.setOnLoadCallback(drawChart);

var cardIdx = 0;
var data, chart, options ;
function drawChart() {
  data = google.visualization.arrayToDataTable([
    ['time', 'setpoint', 'temp'],
    [ 0,  0, 0]]);

  options = {
    title: 'Sous-vide (10 sec. update, last 60 minutes)',
    curveType: 'none',
    lineWidth: 1,
    legend: { position: 'bottom' },
    colors: ['red', 'blue']
  };
  chart = new google.visualization.LineChart(document.getElementById('curve_chart'));
  chart.draw(data, options);
}

function clearChart() {
  chart.clearChart();
  cardIdx = 0;
  drawChart();
}

/* add string to array: addDataToChart('temp,setpoint'); */
function addDataToChart(d) {
  if (cardIdx == 0) data.addRow([0, 0, 0]);
	d = cardIdx++ + ',' +  d;
	if (cardIdx > 360) data.removeRow(0);
  data.addRows([d.split(',').map(Number)]);
  chart.draw(data, options);
}

