/************************ WiFi Sous-vide *************************
   ESP8266 - Sonoff - Wemos mini - or other ESP8266 module 
   by Ewald Kendziorra sr, 2017 www.kendziorra.nl
   Before you start: read the Sous-vide information in "info.txt"
 *****************************************************************/

#ifndef DIVERSE_H
  #define DIVERSE_H
  
  void replaceComma(uint8_t);
  void writeDouble(uint8_t, double);
  double readDouble(uint8_t);
  void saveParameters();
  void loadParameters();
  boolean clientHasName();
  boolean clientIsListed();
  double tempIn(double);
  double tempOut(double);

#endif
