﻿/***** ParseOut.ino *****/

function parse() {  // parse "JSON" in values[]
  for (i = 0; i < eNumLen; i++) values[i] = ''; // clear all values[]
  wIn = wIn.slice(1, -1);
  var s = wIn.split('|');
  for (i = 0; i < s.length; i += 2) if (s[i + 1] != ' ') values[s[i]] = s[i + 1];
}

function out(s, l) {  // get a "JSON" string from var values[] and send it to cliens
  var str = '|';
  for (i = 0; i < l; i++) str += sprintf('%s|%s|', s[i], (values[s[i]].length ? values[s[i]] : ' '));
//  str += '\n';
  return str;
}

/****************************/

// only used for friendly printing: var str = outNames()
// return a list:  name: value<br> name: value<br>...
function outNames() {  // all used values (values[n].length > 0)
  var str = '';
  for (i = 0; i < eNumLen; i++) {
    if (values[i].length) str += sprintf('%10s: %s<br>', names[i], values[i]);
  }
  return str;
}

// return a single set from (enum)n :  name: value
function outName(n) {  // a single value
  var str = sprintf('%s: %s', names[n], values[n]);
  return str;
}